pTarget = GetStringParam("target", "")
pOptional = GetBoolParam("optional", false)
pDesc = GetStringParam("desc", "")
pInactive = GetBoolParam("inactive", false)

function init()
	local body = FindBody("body")
	SetTag(body, "target", pTarget)
	SetTag(body, "nooutline", pTarget)
	if pOptional then
		SetTag(body, "optional")
	end
	if pInactive then
		SetTag(body, "inactive")
	end
	if pDesc ~= "" then
		SetDescription(body, pDesc)
	end
end
